[Qt] Make it possible to build WebKit without QtWidgets
[WebKit-https.git] / Tools / qmake / mkspecs / features / default_pre.prf
index 31c5ef9..bb82e15 100644 (file)
@@ -105,7 +105,8 @@ else: PYTHON = python
 
 haveQt(5): {
     isEmpty(QT.widgets.name)|isEmpty(QT.printsupport.name) {
-        root_project_file: error("Building WebKit against Qt 5.0 requires the QtWidgets and QtPrintSupport modules.")
+        root_project_file: message("WebKit1 requires the QtWidgets and QtPrintSupport modules. Disabling WebKit1.")
+        CONFIG += no_webkit1
     }
 }